summaryrefslogtreecommitdiffstats
path: root/network/AdGuardHome/AdGuardHome.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/AdGuardHome/AdGuardHome.SlackBuild')
-rw-r--r--network/AdGuardHome/AdGuardHome.SlackBuild35
1 files changed, 19 insertions, 16 deletions
diff --git a/network/AdGuardHome/AdGuardHome.SlackBuild b/network/AdGuardHome/AdGuardHome.SlackBuild
index 31aaeaf247..17d9206908 100644
--- a/network/AdGuardHome/AdGuardHome.SlackBuild
+++ b/network/AdGuardHome/AdGuardHome.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for AdGuardHome
-# Copyright 2019, Alexander Verbovetsky, Moscow, Russia
+# Copyright 2019-2024, Alexander Verbovetsky, Moscow, Russia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,34 +22,37 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=AdGuardHome
-VERSION=${VERSION:-0.99.3}
+VERSION=${VERSION:-0.107.47}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SUFFIX="linux_386"
-elif [ "$ARCH" = "x86_64" ]; then
- SUFFIX="linux_amd64"
-elif [ "$ARCH" = "arm" ]; then
- SUFFIX="linux_arm"
-else
- echo "$ARCH is not supported." >&2
- exit 1
-fi
+case "$ARCH" in
+ i?86) SUFFIX="linux_386" ;;
+ x86_64) SUFFIX="linux_amd64" ;;
+ *) echo "$ARCH is not supported." >&2
+ exit 1
+ ;;
+esac
set -e
@@ -83,4 +86,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE